Subject: [i2rs] 'network type' placement and RFC8345

From: tom petch <[email-masked]>
Date: Wed, 23 Sep 2020 09:15:54 +0000

RFC8345 requires that a new network type be given a presence container and suggests a tree structure with layer 1, layer 2, layer 3 and service as top level nodes with OSPF as an example of a node subordinate to layer 3.  te-topology , RFC8795, places its presence container at the top level alongside these four.
Question; where should a network type such as WSON or flexi-grid be placed?  wson-yang, in IETF Last Call, places it under te-topology which is possible but it seems to me more like a layer 1 or layer 0. But then network types do not seem to form a tree, rather a mesh so a tree structure seems wrong.  And wherever layer 1 is defined it is not in a module imported by wson-yang although it might be added to layer0-types (!) which wson-yang does import. I would see it as wrong to define layer 1 in wson forcing others to import wson.

Thoughts?

I have posted this to Lou and TEAS but as it is a question that cuts across multiple WG I suspect that I will get multiple contradictory answers or none:-)

Tom Petch